Bug 123912 - process `syslogd' is using obsolete setsockopt SO_BSDCOMPAT
process `syslogd' is using obsolete setsockopt SO_BSDCOMPAT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sysklogd (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 12:36 EDT by Pavel Tsekov
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-20 04:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Tsekov 2004-05-21 12:36:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
After normal startup of the machine I've
added a line like this to /etc/syslog.conf:

*.* @192.168.7.6

Then I've issued:

kill -HUP sylogd_pid

At that point the following message poped up on the terminal
and also in /var/log/messages:

May 21 17:24:00 linux-laptop kernel: process `syslogd' is using
obsolete setsockopt SO_BSDCOMPAT

Note that this happens only after syslogd was started from 
the normal boot sequence. I couldn't get this message if I
start syslogd from the command line, then change /etc/syslogd.conf
and then HUP the daemon.


Version-Release number of selected component (if applicable):
sysklogd-1.4.1-15

How reproducible:
Sometimes

Steps to Reproduce:
1. Restart the machine

2. After the system is up and ready login
   and add a line to /etc/syslog.conf which
   instructs syslogd to log on remote machine.

3. Force syslogd to reread its configuration
   by using "kill -HUP syslogd_pid"

    

Additional info:
Comment 1 Florian La Roche 2004-06-20 04:07:08 EDT
Should be fixed in -20 or newer.

Thanks,

Florian La Roche
Comment 2 Jay Turner 2004-09-01 23:29:42 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-335.html

Note You need to log in before you can comment on or make changes to this bug.